## org.aspectj.lang.reflect
Class NoSuchPointcutException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.aspectj.lang.reflect.NoSuchPointcutException

All Implemented Interfaces:
  java.io.Serializable

    public class NoSuchPointcutException

extends java.lang.Exception

Thrown when AjType.getDeclaredPointcut is called with a pointcut name, and no matching pointcut declaration can be found.

See Also:
  Serialized Form

Constructor Summary
`NoSuchPointcutException(java.lang.String name)`

Method Summary
`java.lang.String` `getName()` The name of the pointcut that could not be found.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchPointcutException

    public NoSuchPointcutException(java.lang.String name)

Method Detail

### getName

    public java.lang.String getName()

  The name of the pointcut that could not be found.